import type { ButtonProps, FocusableElement, HideMsgPropType, IdPropType, InputColorAPI, InputColorStates, InputTypeOnDefault, InputTypeOnOff, KoliBriHorizontalIcons, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, Stringified, SuggestionsPropType, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolInputColor implements InputColorAPI, FocusableElement {
    private readonly host?;
    private refInputText?;
    private refInputColor?;
    private readonly catchRef;
    private readonly catchColorRef;
    private readonly onBlur;
    private readonly onFocus;
    private readonly onColorInput;
    private readonly onTextInput;
    getValue(): Promise<string | undefined>;
    kolFocus(): Promise<void>;
    private get hasSuggestions();
    private getFormFieldProps;
    private getInputColorProps;
    private getInputTextProps;
    private getGenericInputProps;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<ButtonProps>;
    _suggestions?: SuggestionsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    state: InputColorStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    componentDidLoad(): void;
    componentWillLoad(): void;
}
