import type { JSX } from '../../stencil-public-runtime';
import type { ButtonProps, FocusableElement, HideMsgPropType, IdPropType, InputNumberAPI, InputNumberStates, InputTypeOnDefault, InputTypeOnOff, KoliBriHorizontalIcons, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, Stringified, SuggestionsPropType, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
export declare class KolInputNumber implements InputNumberAPI, FocusableElement {
    private readonly host?;
    private inputRef?;
    private readonly catchRef;
    getValue(): Promise<string | undefined>;
    kolFocus(): Promise<void>;
    private readonly onInput;
    private readonly onKeyDown;
    private getFormFieldProps;
    private getInputProps;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _max?: number;
    _min?: number;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _placeholder?: string;
    _readOnly?: boolean;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<ButtonProps>;
    _suggestions?: SuggestionsPropType;
    _step?: number;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: number | null;
    state: InputNumberStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMax(value?: number): void;
    validateMin(value?: number): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateRequired(value?: boolean): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: ButtonProps | string): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateStep(value?: number): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: number | null): void;
    componentWillLoad(): void;
}
