/*!
 * KoliBri - The accessible HTML-Standard
 */
import{r as n,h as t,H as e,g as i}from"./index-4018f86a.js";import{t as o}from"./i18n-005310a7.js";import{f as l}from"./component-names-545d6582.js";import{d as r,K as a}from"./events-5adf6b62.js";import{K as s}from"./Alert-cff25992.js";import{w as d,b as c,i as h}from"./prop.validators-64749272.js";import"./i18n-c120df5c.js";import"./reuse-f46e7e35.js";import"./tslib.es6-1173d062.js";import"./clsx-09a06a12.js";import"./Heading-ee029adb.js";import"./index-da3e0c00.js";import"./dev.utils-fab45cbc.js";const f=(n,t)=>{d(n,"errorList",(n=>Array.isArray(n)&&void 0===n.find((n=>!("string"==typeof n||"function"==typeof n)))),new Set(["string","function"]),t)},m="/*\n * This file contains all rules for accessibility.\n */\n@layer kol-global {\n  :host {\n    /*\n     * Minimum size of interactive elements.\n     */\n    --a11y-min-size: calc(44rem / var(--kolibri-root-font-size, 16));\n    /*\n     * No element should be used without a background and font color whose contrast ratio has\n     * not been checked. By initially setting the background color to white and the font color\n     * to black, the contrast ratio is ensured and explicit adjustment is forced.\n     */\n    background-color: white;\n    color: black;\n    /*\n     * Verdana is an accessible font that can be used without requiring additional loading time.\n     */\n    font-family: Verdana;\n  }\n  * {\n    /*\n     * This rule enables the word dividing for all texts. That is important for high zoom levels.\n     */\n    hyphens: auto;\n    /*\n     * Letter spacing is required for all texts.\n     */\n    letter-spacing: inherit;\n    /*\n     * This rule enables the word dividing for all texts. That is important for high zoom levels.\n     */\n    word-break: break-word;\n    /*\n     * Word spacing is required for all texts.\n     */\n    word-spacing: inherit;\n  }\n  /*\n   * All interactive elements should have a minimum size of rem(44).\n   */\n  /* input:not([type='checkbox'], [type='radio'], [type='range']), */\n  /* option, */\n  /* select, */\n  /* textarea, */\n  [role=button],\n  button:not([role=link]) {\n    min-height: var(--a11y-min-size);\n    min-width: var(--a11y-min-size);\n  }\n  /*\n   * Some interactive elements should not inherit the font-family and font-size.\n   */\n  a,\n  button,\n  h1,\n  h2,\n  h3,\n  h4,\n  h5,\n  h6,\n  input,\n  option,\n  select,\n  textarea {\n    /*\n     * All elements should inherit the font family from his parent element.\n     */\n    font-family: inherit;\n    /*\n     * All elements should inherit the font size from his parent element.\n     */\n    font-size: inherit;\n  }\n}\n/**\n * Sometimes we need the semantic element for accessibility reasons,\n * but we don't want to show it.\n *\n * - https://www.a11yproject.com/posts/how-to-hide-content/\n */\n.visually-hidden {\n  clip: rect(0 0 0 0);\n  clip-path: inset(50%);\n  height: calc(1rem / var(--kolibri-root-font-size, 16));\n  overflow: hidden;\n  position: absolute;\n  white-space: nowrap;\n  width: calc(1rem / var(--kolibri-root-font-size, 16));\n}\n\n@layer kol-global {\n  /*\n   * Dieses CSS stellt sicher, dass der Standard-Style\n   * von A und Button resettet werden.\n   */\n  :is(a, button) {\n    background-color: transparent;\n    border: none;\n    margin: 0;\n    padding: 0;\n    width: 100%; /* 100% needed for custom width from outside */\n  }\n  /*\n   * Ensure elements with hidden attribute to be actually not visible\n   * @see https://meowni.ca/hidden.is.a.lie.html\n   */\n  [hidden] {\n    display: none !important;\n  }\n}\n@layer kol-global {\n  :host {\n    /*\n     * The max-width is needed to prevent the table from overflowing the\n     * parent node, if the table is wider than the parent node.\n     */\n    max-width: 100%;\n  }\n  * {\n    /*\n     * We prefer to box-sizing: border-box for all elements.\n     */\n    box-sizing: border-box;\n  }\n  .kol-span {\n    /* KolSpan is a layout component with icons in all directions and a label text in the middle. */\n    display: grid;\n    place-items: center;\n    /* The sub span in KolSpan is the horizontal span with icon left and right and the label text in the middle. */\n  }\n  .kol-span__container {\n    display: flex;\n    place-items: center;\n  }\n  a,\n  button {\n    cursor: pointer;\n  }\n  .kol-span .kol-span__label--hide-label .kol-span__label {\n    display: none;\n  }\n  /* Reset browser agent style. */\n  button:disabled {\n    color: unset;\n  }\n  .disabled label,\n  .disabled:focus-within label,\n  [aria-disabled=true],\n  [aria-disabled=true]:focus,\n  [disabled],\n  [disabled]:focus {\n    cursor: not-allowed;\n    opacity: 0.5;\n    outline: none;\n  }\n  [aria-disabled=true]:focus .kol-span,\n  [disabled]:focus .kol-span {\n    outline: none !important;\n  }\n}\n@layer kol-component {\n  :host {\n    display: block;\n  }\n}\n@layer kol-component {\n  :host {\n    font-size: calc(16rem / var(--kolibri-root-font-size, 16));\n  }\n  .kol-tooltip {\n    display: contents;\n  }\n  .kol-tooltip__floating {\n    animation-duration: 0.25s;\n    animation-iteration-count: 1;\n    animation-name: fadeInOpacity;\n    animation-timing-function: ease-in;\n    box-sizing: border-box;\n    display: none;\n    position: fixed;\n    visibility: hidden;\n    /* Avoid layout interference - see https://floating-ui.com/docs/computePosition */\n    top: 0;\n    left: 0;\n    max-width: 90vw;\n    max-height: 90vh;\n    /* Can be used to specify the tooltip-width from the outside. Unset by default.  */\n    width: var(--kol-tooltip-width);\n  }\n  .kol-tooltip__arrow {\n    background-color: #fff;\n    color: #000;\n    height: calc(10rem / var(--kolibri-root-font-size, 16));\n    position: absolute;\n    transform: rotate(45deg);\n    width: calc(10rem / var(--kolibri-root-font-size, 16));\n    z-index: 999;\n  }\n  .kol-tooltip__content {\n    background-color: #fff;\n    color: #000;\n    position: relative;\n    z-index: 1000;\n  }\n  @keyframes fadeInOpacity {\n    0% {\n      opacity: 0;\n    }\n    100% {\n      opacity: 1;\n    }\n  }\n}\n@layer kol-component {\n  @layer kol-component {\n    :host {\n      display: inline-block;\n    }\n    .kol-link {\n      font-size: calc(16rem / var(--kolibri-root-font-size, 16));\n      align-items: baseline;\n      display: inline-flex;\n      place-items: center;\n      text-align: left;\n      text-decoration-line: none;\n    }\n    .kol-link__text .kol-span__label {\n      text-decoration-line: underline;\n    }\n    .kol-link:is(:focus, :hover):not([aria-disabled], [disabled]) .kol-link__text .kol-span__label {\n      text-decoration-thickness: 0.2em;\n    }\n    .kol-link__icon {\n      display: inline-flex;\n      margin-left: calc(8rem / var(--kolibri-root-font-size, 16));\n    }\n  }\n  @layer kol-component {\n    .kol-alert {\n      display: grid;\n    }\n    .kol-alert__container {\n      place-items: center;\n      display: flex;\n    }\n    .kol-alert__container-content {\n      flex-grow: 1;\n    }\n    .kol-alert__close-button {\n      /* Visible with forced colors */\n      outline: transparent solid calc(1rem / var(--kolibri-root-font-size, 16));\n    }\n  }\n  .kol-form {\n    font-size: calc(16rem / var(--kolibri-root-font-size, 16));\n  }\n}",p=m,u=class{constructor(t){n(this,t),this.onSubmit=n=>{var t,e;n.preventDefault(),"function"==typeof(null===(t=this.state._on)||void 0===t?void 0:t.onSubmit)&&(null===(e=this.state._on)||void 0===e||e.onSubmit(n)),this.host&&r(this.host,a.submit)},this.onReset=n=>{var t,e;n.preventDefault(),"function"==typeof(null===(t=this.state._on)||void 0===t?void 0:t.onReset)&&(null===(e=this.state._on)||void 0===e||e.onReset(n)),this.host&&r(this.host,a.reset)},this.handleLinkClick=n=>{const t=document.querySelector(n);t&&"function"==typeof t.focus&&(t.scrollIntoView({behavior:"smooth"}),t.focus())},this.setBlockElement=n=>this.errorListBlock=n,this.setFirstLinkElement=n=>this.errorListFirstLink=n,this._on=void 0,this._requiredText=!0,this._errorList=void 0,this.state={}}renderErrorList(n){return t(s,{class:"kol-form__alert",ref:this.setBlockElement,type:"error",variant:"card",label:o("kol-error-list-message")},t("nav",{"aria-label":o("kol-error-list")},t("ul",null,null==n?void 0:n.map(((n,e)=>t("li",{key:e},t(l,{class:"kol-form__link",_href:"",_label:n.message,_on:{onClick:"string"==typeof n.selector?()=>this.handleLinkClick(String(n.selector)):n.selector},ref:0===e?this.setFirstLinkElement:void 0})))))))}renderFormElement(){return t("form",{class:"kol-form",method:"post",onSubmit:this.onSubmit,onReset:this.onReset,autoComplete:"off",noValidate:!0},!0===this.state._requiredText?t("p",null,t("div",{class:"kol-form__mandatory-fields-hint"},o("kol-form-description"))):"string"==typeof this.state._requiredText&&this.state._requiredText.length>0?t("p",null,t("div",{class:"kol-form__mandatory-fields-hint"},this.state._requiredText)):null,t("slot",null))}render(){const n=Array.isArray(this._errorList)&&this._errorList.length>0;return t(e,{key:"3cfeeb7596783c154fadf43a4646dcd74070a920"},n&&this.renderErrorList(this._errorList),this.renderFormElement())}scrollToErrorList(){var n;null===(n=this.errorListBlock)||void 0===n||n.scrollIntoView({behavior:"smooth",block:"start"}),setTimeout((()=>{var n,t;null===(t=null===(n=this.errorListFirstLink)||void 0===n?void 0:n.querySelector("a"))||void 0===t||t.focus()}),250)}async focusErrorList(){return this.scrollToErrorList(),Promise.resolve()}validateOn(n){"object"==typeof n&&null!==n&&(this.state=Object.assign(Object.assign({},this.state),{_on:n}))}validateRequiredText(n){"boolean"==typeof n?c(this,"_requiredText",n):h(this,"_requiredText",n)}validateErrorList(n){f(this,n)}componentWillLoad(){this.validateOn(this._on),this.validateRequiredText(this._requiredText),this.validateErrorList(this._errorList)}get host(){return i(this)}static get watchers(){return{_on:["validateOn"],_requiredText:["validateRequiredText"],_errorList:["validateErrorList"]}}};u.style={default:p};export{u as kol_form};